# SuperFAST

This distribution contains 2 libraries in the lib/ directory.
1. **libsuperfast_api.so**: our implementation of the SuperFAST algorithm.
2. **libcvd.so**: internal dependence of the libsuperfast_api, this is an
   unmodified version of [libcvd](https://github.com/edrosten/libcvd), see
   *Notes* below for the version used.

To build and run the demo, type:

    make
    ./demo <path-to-VGA>

The demo application use OpenCV to read video/image files and the OpenCV
implementation of FAST to compare the output of the algorithms.

This demo has been tested with OpenCV v2.4.9.

## Notes

libsuperfast_api.so has been built on Ubuntu 12.04 (x86) with libcvd version:
git master@cb15fa2b2a525fe9b41ba5abcf20994997c0c616.

Due to the way shared libraries works on Linux it is possible that the prebuilt
libraries provided do not work on your system, in this case we recommended to
use Ubuntu 12.04 but it should also work on versions above too.
